Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ucp.model
Class UcpModel

    java.lang.Object
      ucp.model.UcpModel

    public class UcpModel

extends java.lang.Object

Class represents UML Model.

Constructor Summary
`UcpModel()`

Method Summary
`void` | `addPackage(UcpPackage ucpPackage)`
`void` | `countUcp(int level)` Method counts UCP metrics according to defined level.
`UcpMetrics` | `getMetrics()`
`java.lang.String` | `getName()`
`java.util.ArrayList<UcpPackage>` | `getPList()`
`void` | `setComplexity(java.lang.String idref, int complexity)` Method finds elements and sets coplexity.
`void` | `setMetrics(UcpMetrics ucpMetrics)` Method sets metrics.
`void` | `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UcpModel

    public UcpModel()

Method Detail

### getName

    public java.lang.String getName()

  Returns:

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` -

### addPackage

    public void addPackage(UcpPackage ucpPackage)

  Parameters:
    `ucpPackage` -

### getPList

    public java.util.ArrayList<UcpPackage> getPList()

  Returns:

### setComplexity

    public void setComplexity(java.lang.String idref,
                              int complexity)

  Method finds elements and sets coplexity.

  Parameters:
    `idref` -
    `complexity` -

### getMetrics

    public UcpMetrics getMetrics()

  Returns:
    the metrics

### setMetrics

    public void setMetrics(UcpMetrics ucpMetrics)

  Method sets metrics.

  Parameters:
    `ucpMetrics` -

### countUcp

    public void countUcp(int level)

  Method counts UCP metrics according to defined level.

  Parameters:
    `level` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD